独自ドメイン管理

GET https://koenavi.jp/api/domains/available
curl --request GET \
--url 'https://koenavi.jp/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search 任意 文字列 (String) 検索文字列。
search_by 任意 文字列 (String) 検索対象フィールド。許可値: host。
datetime_field 任意 文字列 (String) 許可される値: datetime, last_datetime
datetime_start 任意 文字列 (String) 開始日時(Y-m-d H:i:s 形式)。
datetime_end 任意 文字列 (String) 終了日時(Y-m-d H:i:s 形式)。
order_by 任意 文字列 (String) 並び替え対象フィールド。許可値: domain_id, datetime, last_datetime, host。
order_type 任意 文字列 (String) 並び順。昇順は ASC、降順は DESC。
page 任意 整数 (Integer) 取得するページ番号(初期値: 1)。
results_per_page 任意 整数 (Integer) 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": 1,
            "scheme": "Example",
            "host": "Example",
            "url": "https://example.com/",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-17 23:18:56"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://koenavi.jp/api/domains/available?page=1",
        "last": "https://koenavi.jp/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://koenavi.jp/api/domains/available?page=1"
    }
}
GET https://koenavi.jp/api/domains/
curl --request GET \
--url 'https://koenavi.jp/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search 任意 文字列 (String) 検索文字列。
search_by 任意 文字列 (String) 検索対象フィールド。許可値: host。
is_enabled 任意 真偽値 (Boolean)
datetime_field 任意 文字列 (String) 許可される値: datetime, last_datetime
datetime_start 任意 文字列 (String) 開始日時(Y-m-d H:i:s 形式)。
datetime_end 任意 文字列 (String) 終了日時(Y-m-d H:i:s 形式)。
order_by 任意 文字列 (String) 並び替え対象フィールド。許可値: domain_id, datetime, last_datetime, host。
order_type 任意 文字列 (String) 並び順。昇順は ASC、降順は DESC。
page 任意 整数 (Integer) 取得するページ番号(初期値: 1)。
results_per_page 任意 整数 (Integer) 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "scheme": "Example",
            "host": "Example",
            "custom_index_url": "https://example.com/",
            "custom_not_found_url": "https://example.com/",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-17 23:18:56"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://koenavi.jp/api/domains?page=1",
        "last": "https://koenavi.jp/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://koenavi.jp/api/domains?page=1"
    }
}
GET https://koenavi.jp/api/domains/{domain_id}
curl --request GET \
--url 'https://koenavi.jp/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-17 23:18:56"
    }
}
POST https://koenavi.jp/api/domains
パラメータ 詳細 説明
host 必須 文字列 (String) -
custom_index_url 任意 文字列 (String) -
custom_not_found_url 任意 文字列 (String) -
scheme 任意 文字列 (String) -
curl --request POST \
--url 'https://koenavi.jp/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-17 23:18:56"
    }
}
POST https://koenavi.jp/api/domains/{domain_id}
パラメータ 詳細 説明
host 任意 文字列 (String) -
custom_index_url 任意 文字列 (String) -
custom_not_found_url 任意 文字列 (String) -
scheme 任意 文字列 (String) -
curl --request POST \
--url 'https://koenavi.jp/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "Example",
        "host": "Example",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-17 23:18:56"
    }
}
DELETE https://koenavi.jp/api/domains/{domain_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \